Crazy Eddies GUI System: CEGUI::ScrollbarWindowRenderer Class Reference

Crazy Eddies GUI System 0.7.6

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
CEGUI::ScrollbarWindowRenderer Class Reference

Base class for Scrollbar window renderer objects. More...

Inheritance diagram for CEGUI::ScrollbarWindowRenderer:
[legend]
Collaboration diagram for CEGUI::ScrollbarWindowRenderer:
[legend]

List of all members.

## Public Member Functions
| ScrollbarWindowRenderer (const String &name)
| Constructor.
virtual void | updateThumb (void)=0
| update the size and location of the thumb to properly represent the current state of the scroll bar
virtual float | getValueFromThumb (void) const =0
| return value that best represents current scroll bar position given the current location of the thumb.
virtual float | getAdjustDirectionFromPoint (const Point &pt) const =0
| Given window location pt, return a value indicating what change should be made to the scroll bar.

## Detailed Description

Base class for Scrollbar window renderer objects.

## Member Function Documentation

virtual float CEGUI::ScrollbarWindowRenderer::getAdjustDirectionFromPoint | ( | const Point & | pt | ) | const`[pure virtual]`

Given window location pt, return a value indicating what change should be made to the scroll bar.

Parameters:

  pt | Point object describing a pixel position in window space.

Returns:
  - -1 to indicate scroll bar position should be moved to a lower value.
  - 0 to indicate scroll bar position should not be changed.
  - +1 to indicate scroll bar position should be moved to a higher value.

Implemented in CEGUI::FalagardScrollbar.

virtual float CEGUI::ScrollbarWindowRenderer::getValueFromThumb | ( | void |  | ) | const`[pure virtual]`

return value that best represents current scroll bar position given the current location of the thumb.

Returns:
  float value that, given the thumb widget position, best represents the current position for the scroll bar.

Implemented in CEGUI::FalagardScrollbar.